# Unblock users

Unblocks users.

```http
DELETE https://api.pozy.ai/v1/whatsapp/block-users
```

- Area: WhatsApp / WhatsApp
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required
- `users`, array of string, required: At least 1 item. Up to 1000 items

## Example request

```bash
curl -X DELETE "https://api.pozy.ai/v1/whatsapp/block-users" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "users": [
    "string"
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/whatsapp/block-users", {
  method: "DELETE",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    users: [
      "string"
    ]
  }),
});
const text = await res.text();
const data = text ? JSON.parse(text) : null;
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.delete(
    "https://api.pozy.ai/v1/whatsapp/block-users",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "users": [
            "string",
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `unblocked`, array of object
  - `input`, string
  - `waId`, string
- `failed`, array of object
  - `input`, string
  - `errors`, array of string

```json
{
  "unblocked": [
    {
      "input": "string",
      "waId": "69ef3ad4754e098d2b7245dd"
    }
  ],
  "failed": [
    {
      "input": "string",
      "errors": [
        "string"
      ]
    }
  ]
}
```
